# Form implementation generated from reading ui file 'src/eric7/Project/UserPropertiesDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_UserPropertiesDialog(object):
    def setupUi(self, UserPropertiesDialog):
        UserPropertiesDialog.setObjectName("UserPropertiesDialog")
        UserPropertiesDialog.resize(543, 182)
        UserPropertiesDialog.setSizeGripEnabled(True)
        self._2 = QtWidgets.QVBoxLayout(UserPropertiesDialog)
        self._2.setObjectName("_2")
        self.groupBox_2 = QtWidgets.QGroupBox(parent=UserPropertiesDialog)
        self.groupBox_2.setObjectName("groupBox_2")
        self._3 = QtWidgets.QHBoxLayout(self.groupBox_2)
        self._3.setObjectName("_3")
        self.vcsStatusMonitorIntervalSpinBox = QtWidgets.QSpinBox(parent=self.groupBox_2)
        self.vcsStatusMonitorIntervalSpinBox.setMaximum(3600)
        self.vcsStatusMonitorIntervalSpinBox.setObjectName("vcsStatusMonitorIntervalSpinBox")
        self._3.addWidget(self.vcsStatusMonitorIntervalSpinBox)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self._3.addItem(spacerItem)
        self._2.addWidget(self.groupBox_2)
        self.vcsGroup = QtWidgets.QGroupBox(parent=UserPropertiesDialog)
        self.vcsGroup.setObjectName("vcsGroup")
        self._4 = QtWidgets.QVBoxLayout(self.vcsGroup)
        self._4.setObjectName("_4")
        self.vcsInterfaceCombo = QtWidgets.QComboBox(parent=self.vcsGroup)
        self.vcsInterfaceCombo.setObjectName("vcsInterfaceCombo")
        self._4.addWidget(self.vcsInterfaceCombo)
        self.vcsInterfaceDefaultCheckBox = QtWidgets.QCheckBox(parent=self.vcsGroup)
        self.vcsInterfaceDefaultCheckBox.setObjectName("vcsInterfaceDefaultCheckBox")
        self._4.addWidget(self.vcsInterfaceDefaultCheckBox)
        self._2.addWidget(self.vcsGroup)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=UserPropertiesDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self._2.addWidget(self.buttonBox)

        self.retranslateUi(UserPropertiesDialog)
        self.buttonBox.accepted.connect(UserPropertiesDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(UserPropertiesDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(UserPropertiesDialog)
        UserPropertiesDialog.setTabOrder(self.vcsStatusMonitorIntervalSpinBox, self.vcsInterfaceCombo)
        UserPropertiesDialog.setTabOrder(self.vcsInterfaceCombo, self.vcsInterfaceDefaultCheckBox)
        UserPropertiesDialog.setTabOrder(self.vcsInterfaceDefaultCheckBox, self.buttonBox)

    def retranslateUi(self, UserPropertiesDialog):
        _translate = QtCore.QCoreApplication.translate
        UserPropertiesDialog.setWindowTitle(_translate("UserPropertiesDialog", "User Project Properties"))
        UserPropertiesDialog.setWhatsThis(_translate("UserPropertiesDialog", "<b>User Project Properties</b>\n"
"<p>This dialog is used to show and edit the user specific project properties.</p>"))
        self.groupBox_2.setTitle(_translate("UserPropertiesDialog", "VCS Status Monitor"))
        self.vcsStatusMonitorIntervalSpinBox.setToolTip(_translate("UserPropertiesDialog", "Select the interval in seconds for VCS status updates (0 to disable)"))
        self.vcsStatusMonitorIntervalSpinBox.setSuffix(_translate("UserPropertiesDialog", " sec"))
        self.vcsGroup.setTitle(_translate("UserPropertiesDialog", "VCS Interface"))
        self.vcsInterfaceCombo.setToolTip(_translate("UserPropertiesDialog", "Select the vcs interface to be used"))
        self.vcsInterfaceDefaultCheckBox.setToolTip(_translate("UserPropertiesDialog", "Select to make the interface selection the default for the project"))
        self.vcsInterfaceDefaultCheckBox.setText(_translate("UserPropertiesDialog", "Make interface selection the default"))
